<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>js-reading</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <p><strong>JavaScript</strong></p>
    <ul>
      <li>
        <a href="https://developer.mozilla.org/en/JavaScript/Reference"
          >Mozilla Docs</a
        >
        - only real documentation for JS
        <ul>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/String"
              >String</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Number"
              >Number</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array"
              >Array</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object"
              >Object</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Math"
              >Math</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Date"
              >Date</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/JSON"
              >JSON</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Function"
              >Function</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/RegExp"
              >RegEx</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Statements"
              >Statements</a
            ><br />
          </li>
          <li>
            <a
              href="https://developer.mozilla.org/en/JavaScript/Reference/Operators"
              >Operators</a
            ><br />
          </li>
        </ul>
      </li>
      <li>
        <a href="http://howtonode.org/object-graphs"
          >JavaScript Object Graphs, Part 1</a
        >, <a href="http://howtonode.org/object-graphs-2">Part 2</a>,
        <a href="http://howtonode.org/object-graphs-3">Part 3</a> - explains
        JS’s semantics and memory
      </li>
      <li>
        <a href="http://howtonode.org/why-use-closure">Closures</a> - nice
        explanation of closures
      </li>
      <li>
        <a href="http://lazutkin.com/blog/2009/mar/1/javascript-explained/"
          >JavaScript Explained</a
        >
        - a collection of insightful StackOverflow answers
      </li>
      <li>
        <a href="http://dmitrysoshnikov.com/ecmascript/javascript-the-core/"
          >JavaScript Core</a
        >
        - very thorough explanation of JS as set by the EMCA Standard
      </li>
      <li>
        <a
          href="http://addyosmani.com/resources/essentialjsdesignpatterns/book/"
          >JavaScript Design Patterns</a
        >
        - a list of design patterns in JS; helpful read if you need ideas on how
        to structure your code
      </li>
      <li>
        <a
          href="http://pierrespring.com/2010/05/20/my-variable-declaration-got-hoisted/"
          >Variable Hoisting</a
        >
        - understanding variable hoisting
      </li>
      <li>
        <a href="http://www.codecademy.com/">Codecademy</a> - interactive set of
        tutorials on JS
      </li>
      <li>
        <a href="http://dailyjs.com/2010/02/25/djscript-part-1-structure/"
          >Let’s Build a Framework</a
        >
        - huge series of posts based on building a JS framework
      </li>
      <li>
        <a href="http://ejohn.org/apps/learn/">Advanced JavaScript</a> -
        interactive JS tutorial by the creator of jQuery
      </li>
    </ul>
    <p><strong>HTML/CSS</strong></p>
    <ul>
      <li>
        <a href="http://htmldog.com/">HTMLDog</a> - HTML and CSS tutorials
      </li>
      <li>
        <a href="http://www.w3schools.com/html/default.asp"
          >W3C HTML Introduction</a
        >
        - HTML tutorials
      </li>
      <li>
        <a href="http://www.w3schools.com/css/default.asp"
          >W3C CSS Introduction</a
        >
        - CSS tutorials
      </li>
      <li>
        <a href="https://developer.mozilla.org/en/HTML/Element"
          >HTML Reference</a
        >
        - reference for HTML
      </li>
      <li>
        <a href="https://developer.mozilla.org/en/CSS/CSS_Reference"
          >CSS Reference</a
        >
        - reference for CSS
      </li>
    </ul>
    <p><strong>Prototypes</strong></p>
    <ul>
      <li>
        <a
          href="http://yehudakatz.com/2011/08/12/understanding-prototypes-in-javascript/"
          >Understanding Prototypes</a
        >
        - good introduction on prototypes
      </li>
      <li>
        <a
          href="http://blog.morrisjohns.com/illumination_on_javascript_prototypes.html"
          >Using Prototypes</a
        >
        - another good introduction
      </li>
      <li>
        <a
          href="http://stackoverflow.com/questions/133973/how-does-this-keyword-work-within-a-javascript-object-literal/134149#134149"
          >“this” keyword</a
        >
      </li>
      <li>
        <a
          href="http://yehudakatz.com/2011/08/11/understanding-javascript-function-invocation-and-this/"
          >Understanding “this”</a
        >
        - another good explanation of “this”
      </li>
    </ul>
    <p><strong>jQuery</strong></p>
    <ul>
      <li>
        <a href="http://jquery.com/">jQuery Homepage</a> - jQuery script
        download and documentation
      </li>
      <li>
        <a href="http://jqapi.com/">jQApi</a> - more responsive, simpler jQuery
        documentation
      </li>
      <li>
        <a
          href="http://blog.themeforest.net/screencasts/jquery-for-absolute-beginners-video-series/"
          >jQuery Video Series</a
        >
        - series of 15 videos giving a thorough introduction to jQuery.
      </li>
      <li>
        <a href="http://api.jquery.com/jQuery.ajax/">Ajax Documentation</a> -
        includes a lot of examples
      </li>
    </ul>
    <p><strong>Annoted Source Code</strong></p>
    <ul>
      <li>
        <a
          href="http://documentcloud.github.com/underscore/docs/underscore.html"
          >Underscore.js</a
        >
        - adds support for some inconsitently implemented functions
      </li>
      <li>
        <a href="http://documentcloud.github.com/backbone/docs/backbone.html"
          >Backbone.js</a
        >
        - helps structure JS code using the Model-View-Controller (MVC) pattern
      </li>
      <li>
        <a
          href="http://www.keyframesandcode.com/resources/javascript/deconstructed/jquery/"
          >jQuery</a
        >
        - good ol’ jQuery
      </li>
    </ul>
    <p><strong>NodeJS</strong></p>
    <ul>
      <li>
        <a href="http://nodejs.org/">NodeJS Homepage</a> - I recommend watching
        the video on the homepage to get a feel for node
      </li>
      <li>
        <a href="http://nodebeginner.org/">Node Beginner Book</a> - introductory
        tutorial on node
      </li>
    </ul>
    <p><strong>HTML5</strong></p>
    <ul>
      <li>
        <a href="http://slides.html5rocks.com/#landing-slide"
          >HTML5 Presentation</a
        >
        - set of slides demoing HTML5 features
      </li>
      <li>
        <a href="http://diveintohtml5.info/">Dive into HTML5</a> - a set of
        tutorials on implementing a lot of HTML5 features
      </li>
    </ul>
  </body>
</html>
